Validate project
Validate content inside a project. This will start a validation job and return the job id. Validation jobs scan all charts and dashboards inside a project to find any broken references to metrics or dimensions that aren't available. Results are available after the job is completed.
Validate content inside a project. This will start a validation job and return the job id.
Validation jobs scan all charts and dashboards inside a project to find any broken references to metrics or dimensions that aren't available. Results are available after the job is completed.
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectUuid | string | Yes | the projectId for the validation |
Request body
{
"validationTargets": [
"apps"
],
"explores": [
"string"
],
"onlyValidateExploresInArgs": true
}Responses
200 — Success
{
"results": {
"jobId": "string"
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}Claim connect code
Retrieves credentials deposited against a connect code created by the current user. Returns them until the code expires; expired codes are deleted by a scheduled cleanup job
Get validation results
Get validation results for a project. This will return the results of the latest validation job.